Bug 1713802 - Every capsule sync causes importers/distributors to get updated making an optimized capsule sync a full sync
Summary: Every capsule sync causes importers/distributors to get updated making an opt...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Capsule - Content
Version: 6.5.0
Hardware: Unspecified
OS: Unspecified
high
high vote
Target Milestone: 6.6.0
Assignee: Justin Sherrill
QA Contact: Lukas Pramuk
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-24 21:48 UTC by sthirugn@redhat.com
Modified: 2019-10-22 12:47 UTC (History)
5 users (show)

Fixed In Version: tfm-rubygem-katello-3.12.0.7-1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1716580 (view as bug list)
Environment:
Last Closed: 2019-10-22 12:47:37 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Foreman Issue Tracker 26907 None None None 2019-05-28 16:41:04 UTC
Red Hat Product Errata RHSA-2019:3172 None None None 2019-10-22 12:47:46 UTC

Description sthirugn@redhat.com 2019-05-24 21:48:48 UTC
Description of problem:
Every capsule sync causes importers/distributors to get updated making an optimized capsule sync a full sync

Version-Release number of selected component (if applicable):
Satellite 6.5.0

How reproducible:
Always

Steps to Reproduce:
1. Create a bunch of (large) yum repos on satellite 6.4 with one or more capsules.
2. Trigger capsule sync tasks and note the time
3. Upgrade Satellite and capsule(s) to 6.5
4. Trigger capsule sync tasks and note the time

Actual results:
6.5 capsule sync took about 4 times more than the 6.4 capsule sync.

Expected results:
capsule sync should be optimal and in line with 6.4 performance.

Additional info:

Comment 5 sthirugn@redhat.com 2019-05-28 16:39:25 UTC
Note that this happens only on a Satellite/Capsule upgraded from 6.4 to 6.5 and not on the newly installed 6.5 capsules.

Comment 6 Justin Sherrill 2019-05-28 16:41:03 UTC
Created redmine issue https://projects.theforeman.org/issues/26907 from this bug

Comment 7 Bryan Kearney 2019-05-30 20:03:33 UTC
Moving this bug to POST for triage into Satellite 6 since the upstream issue https://projects.theforeman.org/issues/26907 has been resolved.

Comment 15 Lukas Pramuk 2019-07-17 11:20:48 UTC
VERIFIED.

@Satellite-6.6.0 Snap11
tfm-rubygem-katello-3.12.0.7-1.el7sat.noarch

by reproducer described in comment#0:

1) Sync a bunch of large yum repos (rhel7/rhel6 server) on Satellite with one external capsule
2) Trigger capsule sync tasks and note the times

>>> times [ 40min, 19sec, 16sec ... ], after one full sync optimized syncs start to take place

Comment 17 errata-xmlrpc 2019-10-22 12:47:37 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2019:3172


Note You need to log in before you can comment on or make changes to this bug.